com.tibbo.aggregate.common.event

## Class EventUtils

- java.lang.Object
- - com.tibbo.aggregate.common.event.EventUtils

-     public class EventUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `COLOR_ERROR`
    `static java.awt.Color` | `COLOR_FATAL`
    `static java.awt.Color` | `COLOR_INFO`
    `static java.awt.Color` | `COLOR_NONE`
    `static java.awt.Color` | `COLOR_NOTICE`
    `static java.awt.Color` | `COLOR_WARNING`
    `static java.lang.String` | `ENVIRONMENT_ACKNOWLEDGEMENTS`
    `static java.lang.String` | `ENVIRONMENT_CONTEXT`
    `static java.lang.String` | `ENVIRONMENT_ENRICHMENTS`
    `static java.lang.String` | `ENVIRONMENT_EVENT`
    `static java.lang.String` | `ENVIRONMENT_ID`
    `static java.lang.String` | `ENVIRONMENT_LEVEL`
    `static java.lang.String` | `ENVIRONMENT_TIME`
    `static java.lang.String` | `ENVIRONMENT_VALUE`
    `static java.lang.String` | `EVENT_FIELD_CONTEXT`
    `static java.lang.String` | `EVENT_FIELD_CREATIONTIME`
    `static java.lang.String` | `EVENT_FIELD_NAME`
    `static java.lang.String` | `FIELD_SEVERITY_STATS_COLOR`
    `static java.lang.String` | `FIELD_SEVERITY_STATS_LEVEL`
    `static java.lang.String` | `FIELD_SEVERITY_STATS_NUMBER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `createSeverityStatisticsTable(int none, int notice, int info, int warning, int error, int fatal)`
    `static long` | `generateEventId()`
    `static java.util.Map<java.lang.String,java.lang.Object>` | `getEnvironment(Event ev)`
    `static java.awt.Color` | `getEventColor(int level)`
    `static java.util.List<EventDefinition>` | `getEventDefinitions(ContextManager cm, java.lang.String contextMask, java.lang.String eventsMask, CallerController caller)`
    `static java.util.List<EventDefinition>` | `getEvents(Context<Context> context, java.lang.String eventsMask, CallerController caller)`
    `static boolean` | `matchesToMask(java.lang.String eventMask, EventDefinition ed)`
    `static boolean` | `matchesToMask(java.lang.String eventMask, java.lang.String event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLOR_FATAL

          public static final java.awt.Color COLOR_FATAL

    - #### COLOR_ERROR

          public static final java.awt.Color COLOR_ERROR

    - #### COLOR_WARNING

          public static final java.awt.Color COLOR_WARNING

    - #### COLOR_INFO

          public static final java.awt.Color COLOR_INFO

    - #### COLOR_NOTICE

          public static final java.awt.Color COLOR_NOTICE

    - #### COLOR_NONE

          public static final java.awt.Color COLOR_NONE

    - #### FIELD_SEVERITY_STATS_COLOR

          public static final java.lang.String FIELD_SEVERITY_STATS_COLOR

      See Also:
        Constant Field Values

    - #### FIELD_SEVERITY_STATS_NUMBER

          public static final java.lang.String FIELD_SEVERITY_STATS_NUMBER

      See Also:
        Constant Field Values

    - #### FIELD_SEVERITY_STATS_LEVEL

          public static final java.lang.String FIELD_SEVERITY_STATS_LEVEL

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_ID

          public static final java.lang.String ENVIRONMENT_ID

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_CONTEXT

          public static final java.lang.String ENVIRONMENT_CONTEXT

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_EVENT

          public static final java.lang.String ENVIRONMENT_EVENT

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_LEVEL

          public static final java.lang.String ENVIRONMENT_LEVEL

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_TIME

          public static final java.lang.String ENVIRONMENT_TIME

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_ACKNOWLEDGEMENTS

          public static final java.lang.String ENVIRONMENT_ACKNOWLEDGEMENTS

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_ENRICHMENTS

          public static final java.lang.String ENVIRONMENT_ENRICHMENTS

      See Also:
        Constant Field Values

    - #### ENVIRONMENT_VALUE

          public static final java.lang.String ENVIRONMENT_VALUE

      See Also:
        Constant Field Values

    - #### EVENT_FIELD_CONTEXT

          public static final java.lang.String EVENT_FIELD_CONTEXT

      See Also:
        Constant Field Values

    - #### EVENT_FIELD_NAME

          public static final java.lang.String EVENT_FIELD_NAME

      See Also:
        Constant Field Values

    - #### EVENT_FIELD_CREATIONTIME

          public static final java.lang.String EVENT_FIELD_CREATIONTIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventUtils

          public EventUtils()

  - ### Method Detail

    - #### generateEventId

          public static long generateEventId()

    - #### getEventDefinitions

          public static java.util.List<EventDefinition> getEventDefinitions(ContextManager cm,
                                                                            java.lang.String contextMask,
                                                                            java.lang.String eventsMask,
                                                                            CallerController caller)

    - #### getEvents

          public static java.util.List<EventDefinition> getEvents(Context<Context> context,
                                                                  java.lang.String eventsMask,
                                                                  CallerController caller)

    - #### matchesToMask

          public static boolean matchesToMask(java.lang.String eventMask,
                                              EventDefinition ed)

    - #### matchesToMask

          public static boolean matchesToMask(java.lang.String eventMask,
                                              java.lang.String event)

    - #### createSeverityStatisticsTable

          public static DataTable createSeverityStatisticsTable(int none,
                                                                int notice,
                                                                int info,
                                                                int warning,
                                                                int error,
                                                                int fatal)

    - #### getEventColor

          public static java.awt.Color getEventColor(int level)

    - #### getEnvironment

          public static java.util.Map<java.lang.String,java.lang.Object> getEnvironment(Event ev)